# CIS 399 Homework 2 Setup Guide

## Accessing your Command Line
First, we will be running these commands on the command line / terminal of your operating system. If you are on mac, go to the search bar and type "terminal" to access your terminal. If you are on windwos, try searching for "command prompt." 

The commands you will run for this homework (installing python, jupyter notebook, dependencies, launching the notebook) can all be done on the Desktop. However, if you ever want to run commands on your assignment folder, try learning these two commands (they will serve to be useful in the future). They are `ls` and `cd`. Use `ls` to display all the files and directories in your current directory, and use the `cd` command to access the directory. Try it in your command line! (Note: `ls` and `cd` are not needed to run the commands below)

## Installing Python 3

First, check if you already have Python 3 installed. Open up your command line and try typing `python3 -V` (or `python -V` if that doesn’t work), which will tell you which version of Python you have installed.

Make sure that your Python version is **at least 3.6** or you may not be able to use all necessary libraries. If you already have a correct version Python installed, you can skip to the next section.

If you don’t, then follow the instructions below to install it:

**For Windows and macOS**

Head over to the [Python downloads page](https://www.python.org/downloads/) and download version 3.6 or greater for your OS. Run the installer, and make sure that you check the box labeled “Add Python to your PATH.” After this, you should be able to successfully run `python3 -V` (or `python -V` if that doesn’t work).

If you use a package manager like `brew` or `chocolatey`, feel free to install Python that way.

**For Linux**
Run the following in your command line:

    sudo apt-get update
    sudo apt-get install python3.6

After this, you should be able to run `python3.6 -V`.

## Installing Python Dependencies

**Important: this step is necessary to run this assignment**

`pip` is Python’s package management system, used for installing Python libraries. It should come bundled with your Python 3 installation. Check that you have it by typing into your command line `pip3 -V` (or `pip -V` if that doesn’t work).

Once you’ve successfully installed pip, run the following command to install the dependencies that we’ll use in homework 2:


    pip install jupyterlab notebook pandas matplotlib numpy seaborn

Essentially, this is ensuring that your computer has downloaded all the libraries that we are using for this assignment. Without this, it will be hard to run the assignment!

## Running the Jupyter Notebook



    jupyter notebook
    python3 -m notebook

In order to run the jupyter notebook assignment we gave you, try running one of the two commands above. That should launch the notebook. Once you are in the notebook, each "cell" of the notebook is either a code block or text. Run the code blocks to get the results of the code! You can always rerun the notebook, reset its status, etc. Continuous and subsequent runs of the notebook will save the state ran in the previous cells, so if you made an error in the previous section (e.g error in data cleaning before running the analysis), make sure to re-run the notebook. 

## Troubleshooting
If you get stuck on any of these, don't hesitate to send a message in the "homework2" channel, or google the error you're getting to look up a stackoverflow post! Checking the documentation is also a good idea for jupyter notebook, etc.

## Citation
A good portion of this set up document is based off of the set up document created in CIS 189 by their teaching staff. We thank them here for letting us use part of their material. 
